package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.mapper_shate.AustraliaMiddleEastMapper;
import com.ruoyi.system.service_shate.IAustraliaMiddleEastService;
import com.ruoyi.system.domain_shate.AustraliaMiddleEastVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 亚大综合监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:43
 */
@Service
public class AustraliaMiddleEastServiceimpl implements IAustraliaMiddleEastService
{
    @Resource
    private AustraliaMiddleEastMapper australiaMiddleEastMapper;

    @Override
    public List<AustraliaMiddleEastVO> selectAustralia(String yearMonth,String month)
    {
        return australiaMiddleEastMapper.selectAustralia(yearMonth,month);
    }

    @Override
    public Integer DelAustralia(String id) {
        return australiaMiddleEastMapper.DelAustralia(id);

    }

    @Override
    public Integer IntoAustralia(AustraliaMiddleEastVO eastVO) {
        return australiaMiddleEastMapper.IntoAustralia(eastVO);
    }
}
